Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000946Frama-CPlug-in > semantic constant foldingpublic2011-09-02 00:122014-02-12 16:59
Reporterpascal 
Assigned Tomonate 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000946: -semantic-const-folding should have a -semantic-constant-folding alias
DescriptionThanks for saving the user from typing the 4 letters, but why not -sem-constant-folding or -semantic-constant-fold?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002197)
monate (reporter)
2011-09-02 08:44

Seems reasonable. Short form should even be -scf.
(0004740)
monate (reporter)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-09-02 00:12 pascal New Issue
2011-09-02 00:12 pascal Status new => assigned
2011-09-02 00:12 pascal Assigned To => monate
2011-09-02 00:22 pascal Summary -semantic-const-folding should have an -semantic-constant-folding alias => -semantic-const-folding should have a -semantic-constant-folding alias
2011-09-02 08:44 monate Note Added: 0002197
2011-09-02 08:44 monate Status assigned => acknowledged
2011-09-02 10:52 svn Checkin
2011-09-02 10:52 svn Status acknowledged => resolved
2011-09-02 10:52 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 monate Note Added: 0004740
2014-02-12 16:59 monate Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker